---
title: MySqlError
---

# MySqlError class

[`MySqlError`](../MySqlErrorType/) represents an error or warning that occurred during the execution of a SQL statement.

```csharp
public sealed class MySqlError
```

## Public Members

| name | description |
| --- | --- |
| [ErrorCode](../MySqlError/ErrorCode/) { get; } | The [`MySqlErrorCode`](../MySqlErrorCodeType/) for the error or warning. |
| [Level](../MySqlError/Level/) { get; } | The error level. This comes from the MySQL Server. Possible values include `Note`, `Warning`, and `Error`. |
| [Message](../MySqlError/Message/) { get; } | A human-readable description of the error or warning. |

## See Also

* namespace [MySqlConnector](../../MySqlConnectorNamespace/)
* assembly [MySqlConnector](../../MySqlConnectorAssembly/)

<!-- DO NOT EDIT: generated by xmldocmd for MySqlConnector.dll -->
